hunspell-en-us conflicts with thunderbird (unversioned)

Bug #227711 reported by Alexander Sack on 2008-05-07
22
This bug affects 1 person
Affects Status Importance Assigned to Milestone
hunspell-en-us (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
openoffice.org-dictionaries (Ubuntu)
Undecided
Unassigned
Hardy
High
Unassigned
uzbek-wordlist (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
xuxen-eu-spell (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned

Bug Description

Binary package hint: hunspell-en-us

hunspell-en-us, hunspell-da, and hunspell-ne are not installable and usable with thunderbird in hardy and intrepid, because they ships an unversioned conflict against thunderbird.

SRU justification: this bug makes thunderbird, a supported package in main, completely uninstallable for users of the Nepalese locale, as well as preventing other packages from being coinstallable with thunderbird which should not be. This also affects OEMs who wish to preinstall language packs.

This bug has been fixed in intrepid and beyond with openoffice.org-dictionaries (1:2.4.0~m240-2ubuntu2 by changing the thunderbird Conflicts to a versioned conflicts.

TEST CASE:

1. Run 'sudo apt-get install language-support-ne hunspell-da thunderbird'. Observe that the upgrade fails due to conflicts.
2. Enable the proposed repository in the software source preferences.
3. Run 'sudo apt-get install language-support-ne hunspell-da thunderbird' again. Observe that the upgrade succeeds.

REGRESSION POTENTIAL:

None. An examination of dists/hardy/Contents-i386.gz shows that there are no file overlaps between hunspell-{da,ne} and thunderbird in hardy.

Alexander Sack (asac) on 2008-05-07
Changed in hunspell-en-us:
importance: Undecided → High
status: New → Triaged
assignee: nobody → asac
importance: Undecided → High
milestone: none → ubuntu-8.04.1
status: New → Triaged
Alexander Sack (asac) on 2008-05-07
Changed in hunspell-en-us:
milestone: ubuntu-8.04.1 → none
Arne Goetje (arnegoetje) wrote :
Alexander Sack (asac) wrote :

uploaded to intrepid. thanks!

Changed in hunspell-en-us:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

(hunspell-en-us was uploaded)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hunspell-en-us - 20070829-2ubuntu1

---------------
hunspell-en-us (20070829-2ubuntu1) intrepid; urgency=low

  * debian/control: fix thunderbird entry in Conflicts (LP: #227711)

 -- Arne Goetje <email address hidden> Fri, 05 Sep 2008 06:56:03 +0800

Changed in hunspell-en-us:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

Uploading to ubuntu (via ftp to upload.ubuntu.com):
  uzbek-wordlist_0.6-3ubuntu1.dsc: done.
  uzbek-wordlist_0.6-3ubuntu1.diff.gz: done.
  uzbek-wordlist_0.6-3ubuntu1_source.changes: done.
Successfully uploaded packages.

Changed in uzbek-wordlist:
status: New → Fix Committed
Alexander Sack (asac) wrote :

Uploading to ubuntu (via ftp to upload.ubuntu.com):
  xuxen-eu-spell_0.3.20070215b-3ubuntu1.dsc: done.
  xuxen-eu-spell_0.3.20070215b-3ubuntu1.diff.gz: done.
  xuxen-eu-spell_0.3.20070215b-3ubuntu1_source.changes: done.

Changed in xuxen-eu-spell:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package uzbek-wordlist - 0.6-3ubuntu1

---------------
uzbek-wordlist (0.6-3ubuntu1) intrepid; urgency=low

  * debian/control: fix thunderbird entry in Conflicts (LP: #227711)

 -- Arne Goetje <email address hidden> Fri, 05 Sep 2008 07:06:13 +0800

Changed in uzbek-wordlist:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xuxen-eu-spell - 0.3.20070215b-3ubuntu1

---------------
xuxen-eu-spell (0.3.20070215b-3ubuntu1) intrepid; urgency=low

  * debian/control: fix the tunderbird entry in Conflicts (LP: #227711)

 -- Arne Goetje <email address hidden> Fri, 05 Sep 2008 07:11:28 +0800

Changed in xuxen-eu-spell:
status: Fix Committed → Fix Released

Hello

The same problem append in hunspell-fr (1:2.4.0-2ubuntu1, arch amd64 for me). Could you do something ?

Thanks

Alexander Sack (asac) wrote :

uploading openoffice.org-dictionaries. thanks!

Changed in openoffice.org-dictionaries:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org-dictionaries - 1:2.4.0~m240-2ubuntu2

---------------
openoffice.org-dictionaries (1:2.4.0~m240-2ubuntu2) intrepid; urgency=low

  * debian/control: fix the unversioned tunderbird entry in Conflicts for the
    hunspell-* packages (LP: #227711)

 -- Arne Goetje <email address hidden> Wed, 10 Sep 2008 01:24:52 +0800

Changed in openoffice.org-dictionaries:
status: Fix Committed → Fix Released
James Troup (elmo) wrote :

This also affects hunspell-ne in hardy. Which is particularly
problematic since, e.g. Dell XPSes with Ubuntu pre-installed have that
package installed by default and the message you get from 'Add/Remove
programs' when you try to install Thunderbird is particularly
confusing. Any chance of an SRU for this?

Colin Watson (cjwatson) on 2008-11-12
Changed in hunspell-en-us:
milestone: none → ubuntu-8.04.2
Changed in openoffice.org-dictionaries:
milestone: none → ubuntu-8.04.2
Changed in uzbek-wordlist:
milestone: none → ubuntu-8.04.2
Changed in xuxen-eu-spell:
milestone: none → ubuntu-8.04.2
Alexander Sack (asac) wrote :

Arne, can you take a look what would be needed for a proper hardy SRU?

Changed in openoffice.org-dictionaries:
assignee: nobody → arnegoetje
status: New → Confirmed
Changed in uzbek-wordlist:
assignee: nobody → arnegoetje
status: New → Confirmed
Changed in xuxen-eu-spell:
assignee: nobody → arnegoetje
status: New → Confirmed
Steve Langasek (vorlon) wrote :

openoffice.org-dictionaries uploaded to hardy-proposed; waiting for approval from another member of the SRU team.

Changed in openoffice.org-dictionaries:
status: Confirmed → In Progress
Steve Langasek (vorlon) wrote :

these other packages are not in main in hardy so don't end up on any install media - not a blocker for 8.04.2.

Changed in hunspell-en-us:
milestone: ubuntu-8.04.2 → none
Changed in uzbek-wordlist:
milestone: ubuntu-8.04.2 → none
Steve Langasek (vorlon) wrote :

xuxen-eu-spell is not present in hardy at all, so no SRU needed.

Changed in xuxen-eu-spell:
milestone: ubuntu-8.04.2 → none
status: Confirmed → Invalid
Steve Langasek (vorlon) wrote :

openoffice.org-dictionaries uploaded to hardy-proposed; waiting for approval from another member of the SRU team.

Changed in openoffice.org-dictionaries:
importance: Undecided → High
Steve Langasek (vorlon) on 2009-01-07
description: updated
Colin Watson (cjwatson) wrote :

Accepted openoffice.org-dictionaries into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in openoffice.org-dictionaries:
milestone: ubuntu-8.04.2 → none
status: In Progress → Fix Committed
Steve Langasek (vorlon) on 2009-01-12
Changed in openoffice.org-dictionaries:
milestone: none → ubuntu-8.04.2
Steve Beattie (sbeattie) wrote :

I was able to reproduce the installation problem with the current openoffice.org-dictionaries in hardy, and have verified that the packages in hardy-proposed, 1:2.4.0~m240-1ubuntu1.1, successfully install at the same time as thunderbird. I also verified that I was able to switch openoffice's interface into the nepal locale, which worked fine.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org-dictionaries - 1:2.4.0~m240-1ubuntu1.1

---------------
openoffice.org-dictionaries (1:2.4.0~m240-1ubuntu1.1) hardy-proposed; urgency=low

  * debian/control: hunspell-da and hunspell-ne should only conflict
    with thunderbird (<< 2.0.0.1+0dfsg-0). LP: #227711.

 -- Steve Langasek <email address hidden> Tue, 06 Jan 2009 23:33:09 +0000

Changed in openoffice.org-dictionaries:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

moving to arne who also has the other other SRU for uzbek-wordlist assigned

Changed in hunspell-en-us (Ubuntu Hardy):
assignee: Alexander Sack (asac) → Arne Goetje (arnegoetje)
Arne Goetje (arnegoetje) on 2010-01-05
Changed in xuxen-eu-spell (Ubuntu Hardy):
assignee: Arne Goetje (arnegoetje) → nobody
Changed in openoffice.org-dictionaries (Ubuntu Hardy):
assignee: Arne Goetje (arnegoetje) → nobody
Arne Goetje (arnegoetje) wrote :

What else is needed here? As I don't have upload rights, someone else needs to do the SRU uploads.

Arne Goetje (arnegoetje) on 2010-01-05
Changed in hunspell-en-us (Ubuntu Hardy):
assignee: Arne Goetje (arnegoetje) → nobody
Changed in uzbek-wordlist (Ubuntu Hardy):
assignee: Arne Goetje (arnegoetje) → nobody
Daniel Holbach (dholbach) wrote :

Ubuntu 8.04 (Hardy) is EOL.

Changed in hunspell-en-us (Ubuntu Hardy):
status: Triaged → Invalid
Changed in uzbek-wordlist (Ubuntu Hardy):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers